import React from 'react';
import { ColumnSort, ColumnVisibilityStorage, DataColumn } from '../table/types';
import { ColumnDragSource } from './types';
interface OrderByProps {
    containerId: string;
    sortedColumns: DataColumn<any>[];
    visibleColumns: ColumnVisibilityStorage;
    setVisibleColumns: (newState: ColumnVisibilityStorage | ((state: ColumnVisibilityStorage) => ColumnVisibilityStorage)) => void;
    isDropDisabled: boolean;
    dragColumn: ColumnDragSource | null;
    isDragDisabled: boolean;
    currentGroupBy: ColumnSort[];
}
export declare const OrderByList: React.FC<OrderByProps>;
export {};
