"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contextMenu = void 0;
const eventManager_1 = require("./eventManager");
const actions_1 = require("./actions");
exports.contextMenu = {
    show({ id, event, props }) {
        eventManager_1.eventManager.emit((0, actions_1.DISPLAY_MENU)(id), event.nativeEvent || event, props);
    },
    hideAll() {
        eventManager_1.eventManager.emit(actions_1.HIDE_ALL);
    }
};
