"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterEditor = void 0;
const react_1 = __importStar(require("react"));
const group_1 = require("./group");
const immutable_1 = require("../../../utils/immutable");
const FilterEditor = function FilterEditor(props, ref) {
    const { value, onChange } = props;
    const setEditorState = (0, react_1.useCallback)((path, $spec) => {
        // immutably update data, and call onChange
        if (!path.length) {
            // @ts-ignore
            onChange(val => (0, immutable_1.update)(val, $spec));
            return;
        }
        for (let i = path.length - 1; i >= 0; i--) {
            let idx = path[i];
            // @ts-ignore
            $spec = { filters: { [idx]: $spec } };
        }
        onChange(val => (0, immutable_1.update)(val, $spec));
    }, [onChange]);
    return react_1.default.createElement("div", { className: 'filter-editor' },
        react_1.default.createElement(group_1.FilterGroupEditor, { value: value, setState: setEditorState }));
};
exports.FilterEditor = FilterEditor;
