import React, { MouseEventHandler } from 'react';
import { DataTableProperties } from './types';
export interface TableActionButtonsProps {
    position: 'top' | 'bottom';
    quickEditPosition: NonNullable<DataTableProperties<any>['quickEditPosition']>;
    buttons: {
        quickEdit: JSX.Element;
        filter: JSX.Element;
        columnPicker: JSX.Element;
        refresh: JSX.Element;
    };
}
export declare const TableActionButtons: React.FC<TableActionButtonsProps>;
export interface CustomRefreshButtonProps {
    onClick: MouseEventHandler<HTMLButtonElement>;
}
interface RefreshButtonProps {
    hideRefetch?: boolean;
}
export declare const TableRefreshButton: React.FC<RefreshButtonProps>;
export {};
