import React, { PropsWithChildren } from 'react';
import { DataTableProperties } from './types';
/**
 * Basic Structure
 * <full container>
 *    <section>
 *      <form>
 *      <actions>
 *    <section>
 *      <filter>
 *      <pages>
 *    <table-wrapper>
 *      <table>
 *        <table-header>
 *        <table-body>
 *    <section>
 *      <actions>
 *    <section>
 *      <pages>
 */
export declare const DataTable: <T, FooterData extends T = T>({ editMode, ...props }: React.PropsWithChildren<DataTableProperties<T, FooterData>>) => React.JSX.Element;
