import React from 'react';
import { DataGroup } from './types';
interface TableRowProps<T> {
    row: T;
    rowIndex: number;
    canEditRow?: (row: T) => boolean;
    group?: DataGroup<T>;
}
export declare const TableRow: <T>({ row, group, ...props }: TableRowProps<T>) => React.JSX.Element;
export {};
