import React from 'react';
import { DataColumn, GroupSort } from '../table/types';
import { ColumnDragSource } from './types';
type ToggleSortFn = (index: number) => void;
interface GroupByProps {
    groupedColumns: DataColumn<any>[];
    groupedDirections: GroupSort[];
    dragColumn: ColumnDragSource | null;
    toggleSort: ToggleSortFn;
    isDragDisabled: boolean;
}
export declare const GroupByList: React.FC<GroupByProps>;
export {};
