"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableContextProvider = exports.useTableSelector = exports.useTableContexSetter = exports.TableContext = exports.GroupCollapseContext = exports.ColumnContext = void 0;
const react_selector_context_1 = require("@borvik/react-selector-context");
const react_1 = __importStar(require("react"));
exports.ColumnContext = (0, react_1.createContext)({
    actualColumns: [],
    filterColumns: [],
    headerRows: [],
    columnSorts: [],
    groupBy: [],
    filter: { groupOperator: 'and', filters: [] },
    multiColumnSorts: false,
    doNotUseRefetchAfterSave: false,
    canSelectRows: false,
    setColumnSort: () => { },
    setAllSelected: () => { },
    setRowSelected: () => { },
    setFilter: () => { },
    setPagination: () => { },
    columnOrder: [],
    setColumnConfig: () => { },
    canReorderColumns: false,
    canGroupBy: false,
    groupsExpandedByDefault: true,
    getTableRowProps: () => undefined,
    getTableCellProps: () => undefined
});
exports.GroupCollapseContext = (0, react_1.createContext)({
    setExpanded: () => { },
    collapsedState: {}
});
exports.TableContext = (0, react_selector_context_1.createContext)({
    isEditing: false,
    isSavingQuickEdit: false,
    editData: {},
    editMode: 'default',
    selectedRows: {},
});
exports.useTableContexSetter = exports.TableContext.useSetter;
exports.useTableSelector = exports.TableContext.useState;
const TableContextProvider = ({ editMode, children }) => {
    return (react_1.default.createElement(exports.TableContext.Provider, { initialValue: {
            editMode,
        } }, children));
};
exports.TableContextProvider = TableContextProvider;
