import { AllFilterOperators, QueryFilterGroup, DataColumn, ColumnFilter } from "../components/table/types";
import { QueryStringFilterTypes } from '@borvik/querystring/dist/types';
export declare function transformTableFiltersToColumns<T>(filters: ColumnFilter[]): DataColumn<T>[];
export declare function transformFilterValue(value: any, parseType: QueryStringFilterTypes, operator: AllFilterOperators): any;
interface QSFilterObj {
    filter?: any;
}
/**
 * Handles extracting `filter` from query string to pass to conversions
 */
export declare function convertFromQS<T>(qsFilter: QSFilterObj, columns: DataColumn<T>[]): QueryFilterGroup;
export declare function convertToQS(filters: QueryFilterGroup, columns: DataColumn<any>[]): QSFilterObj;
export {};
